clamsmtp (1.10-18) unstable; urgency=medium

  * Use mktemp in postist (Closes: #992454).
  * Use proper date for the length argument (Closes: #1074883).
  * Fix out-of-bounds access in read_raw().
  * Pass correct length to strncat() in vmessage().

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 03 Jul 2024 23:32:02 +0200

clamsmtp (1.10-17.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007559)

 -- Bastian Germann <bage@debian.org>  Sat, 28 Oct 2023 12:35:57 +0200

clamsmtp (1.10-17.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Debconf translations:
    - ru from Lev Lamberov and Dmitriy Sidorov (Closes: #920889)
    - pt_BR from Paulo Henrique de Lima Santana (Closes: #1028010)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 04 Feb 2023 14:31:09 +0100

clamsmtp (1.10-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Debconf translations:
    -nl from Frans Spiesschaert (Closes: #898865)
    -fr from Steve Petruzzello (Closes: #901305,#916623)
    -da from Joe Dalton (Closes: #923123)
    -it from Beatrice Torracca (Closes: #952794)
    -sv from Martin Bagge (Closes: #1011330)
    -es from Camaleón (Closes: #1026783)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 14 Jan 2023 13:49:52 +0100

clamsmtp (1.10-17) unstable; urgency=medium

  * Fix RuntimeDirectory entry in service file. (Closes: #894383)

 -- Michael Meskes <meskes@debian.org>  Tue, 03 Apr 2018 20:52:55 +0200

clamsmtp (1.10-16) unstable; urgency=medium

  * Re-added After line to services file after somehow losing it.

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Feb 2018 16:19:20 +0100

clamsmtp (1.10-15) unstable; urgency=medium

  * Added patch to handle lines with leading dots correctly.
    Thanks to Christoph Pleger <Christoph@plmail.de> (Closes: #819061)
  * Bumped Standards-Version and debhelper compat level.
  * Enabled all hardening options
  * Removed default file
  * Added native service file.

 -- Michael Meskes <meskes@debian.org>  Mon, 19 Feb 2018 18:33:28 +0100

clamsmtp (1.10-14) unstable; urgency=medium

  * Change order of some include files to make package compile again.
    (Closes: #866076)
  * Bumped Standards-Version to 4.0.0, no changes needed.
  * Changed checks in postrm to not look for command with full path.
  * Added dependency on lsb-base.

 -- Michael Meskes <meskes@debian.org>  Tue, 04 Jul 2017 13:26:19 +0200

clamsmtp (1.10-13) unstable; urgency=high

  * Fixed order of includes to prevent the compiler from assuming wrong types.
    Thanks to Julien Cristau <jcristau@debian.org> (Closes: #779501)

 -- Michael Meskes <meskes@debian.org>  Sun, 01 Mar 2015 20:55:23 +0100

clamsmtp (1.10-12) unstable; urgency=medium

  * Use dh-autoreconf in build to support new architectures.
    Thanks to Chen Baozi <baozich@gmail.com> (Closes: #753782)
  * Bumped Standards-Version to 3.9.5, no changes needed.
  * Corrected homepage information. (Closes: #739103)
  * Canonicalized VCS information.
  * Removed GNU_SOURCE definition from the single file that has it.
    (Closes: #703538)
  * Updated watch file to correct URL, too.

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Jul 2014 12:08:03 +0200

clamsmtp (1.10-11) unstable; urgency=low

  * Added Italian debconf translation (Closes: #691355)
  * Move to debhelper version 9 to get hardening flags

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2012 13:16:30 +0100

clamsmtp (1.10-10) unstable; urgency=low

  * Added Danish debconf translation. (Closes: #671782)
  * Added LSB description to init script.

 -- Michael Meskes <meskes@debian.org>  Mon, 14 May 2012 13:42:23 +0200

clamsmtp (1.10-9) unstable; urgency=low

  * Status should report the correct package name.

 -- Michael Meskes <meskes@debian.org>  Tue, 06 Mar 2012 12:17:49 +0100

clamsmtp (1.10-8) unstable; urgency=low

  * Updated Dutch debconf translation (Closes: #658464)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Added VCS information.
  * Added status option to init file.

 -- Michael Meskes <meskes@debian.org>  Sun, 04 Mar 2012 15:44:04 +0100

clamsmtp (1.10-7) unstable; urgency=low

  * Updated Portuguese debconf translation (Closes: #597351)
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 10 Oct 2010 13:32:59 +0200

clamsmtp (1.10-6) unstable; urgency=low

  * Added Spanish debconf translation. (Closes: #576263)
  * Added description to init script.
  * Added Homepage: field.
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Fri, 02 Apr 2010 15:48:19 +0200

clamsmtp (1.10-5) unstable; urgency=low

  * Updated Vietnamese debconf translation. (Closes: #569652)
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 20 Mar 2010 12:11:28 +0100

clamsmtp (1.10-4) unstable; urgency=low

  * Updated Catalan debconf translation. (Closes: #563837)
  * Updated Russian debconf translation. (Closes: #563351)

 -- Michael Meskes <meskes@debian.org>  Wed, 13 Jan 2010 15:00:50 +0100

clamsmtp (1.10-3) unstable; urgency=low

  * Updated Japanese debconf translation. (Closes: #557898, #559885)
  * Updated German debconf translation. (Closes: #558156)
  * Updated Czech debconf translation. (Closes: #558416, #560961)
  * Updated Portuguese debconf translation. (Closes: #559493)
  * Updated Russian debconf translation. (Closes: #559529)
  * Updated Galician debconf translation. (Closes: #557863)
  * Updated Swedish debconf translation. (Closes: #559935)
  * Updated French debconf translation. (Closes: #561449)
  * Removed bad wording from debconf template. (Closes: #557952)

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Dec 2009 12:58:55 +0100

clamsmtp (1.10-2) unstable; urgency=low

  * Fixed some packaging files by applying Ubuntu patches done by Scott
    Kitterman <debian@kitterman.com>.
  * Simplified postinst file a little bit.
  * Fixed clamsmtpd.conf to list valid options. Closes: #553091
  * Moved to debhelper 7.
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * Fixed some problems in the template file.
  * Moved from simple_patchsys to quilt and removed need for cdbs.

 -- Michael Meskes <meskes@debian.org>  Tue, 24 Nov 2009 12:38:20 +0100

clamsmtp (1.10-1) unstable; urgency=low

  * New Upstream Version
  * Changed maintainer to clamav team.
  * Bumped standards-version to 3.8.0, no changes needed.
  * Fixed typo in manpage.

 -- Michael Meskes <meskes@debian.org>  Sun, 30 Nov 2008 13:48:21 +0100

clamsmtp (1.8-6) unstable; urgency=low

  * Took over as maintainer with approval of the current maintainer.
  * Create directory /var/run/clamsmtp in init script instead of postinst
    script. (Closes: #505796)
  * Only call db_top in postrm if the argument is "purge" because only then the
    debconf stuff has been used. (Closes: #475185)

 -- Michael Meskes <meskes@debian.org>  Mon, 17 Nov 2008 13:56:50 +0100

clamsmtp (1.8-5.3) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #466648).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 17:17:04 +0100

clamsmtp (1.8-5.2) unstable; urgency=high

  * Non-maintainer upload during BSP.
  * Fix unconditional use of debconf in postrm (Closes: #416730).
  * Add Dutch debconf translation (Closes: #419727).
  * Add dependency on adduser as it is used in postinst.

 -- Luk Claes <luk@debian.org>  Sat, 19 May 2007 15:50:40 +0200

clamsmtp (1.8-5.1) unstable; urgency=low

  * Non-maintainer upload during BSP.
  * conditional include of /usr/share/debconf/confmodule (Closes: #416730)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Thu, 17 May 2007 13:47:28 +0200

clamsmtp (1.8-5) unstable; urgency=low

  * debian/postinst: A few logic errors found and fixed.  Moved checks to add
    clamav user to clamsmtp group outside scope of clamsmtp user/group test.
    Upon install or reinstall, only restart clamav-daemon if clamav user is
    added to the clamsmtp group.  Truly Closes: #413968.
  * debian/postrm: Encapsulated invoke-rc.d calls to start and stop
    clamav-daemon in a sub-shell.  If we cannot stop the service, we shouldn't
    try to start it.

 -- Chad Walstrom <chewie@debian.org>  Fri, 16 Mar 2007 12:18:21 -0500

clamsmtp (1.8-4) unstable; urgency=high

  * Rollback of 1.8-3.  A Pre-Depends apparently doesn't solve #412968.

 -- Chad Walstrom <chewie@debian.org>  Fri,  9 Mar 2007 16:49:21 -0600

clamsmtp (1.8-3) unstable; urgency=high

  * debian/control: Moved dependency upon clamav-daemon to Pre-Depends,
    guaranteeing that the clamav user is in place before clamsmtp postinst
    script attempts to add it to the clamsmtp group. Closes: #413968

 -- Chad Walstrom <chewie@debian.org>  Fri,  9 Mar 2007 10:23:53 -0600

clamsmtp (1.8-2) unstable; urgency=low

  * All translation files converted to UTF-8 by Christian Perrier
    <bubulle@debian.org>.
  * Debconf translations:
    - debian/po/de.po: German provided by Alwin Meschede and Helge Kreutzmann
      <debian@helgefjell.de>. Closes: #400520, #407817
    - debian/po/gl.po: Galician provided by Jacobo Tarrio <jtarrio@debian.org>.
      Closes: #412243
    - debian/po/ca.po: Catalan provided by Jorda Polo <jorda@ettin.org>.
      Closes: #412300

 -- Chad Walstrom <chewie@debian.org>  Tue, 27 Feb 2007 13:21:01 -0600

clamsmtp (1.8-1) unstable; urgency=low

  * New upstream.
  * debian/po/pt.po: Portuguese translation of debconf templates provided by
    Miguel Figueiredo <elmig@debianpt.org>.  Closes: #381566

 -- Chad Walstrom <chewie@debian.org>  Tue,  5 Sep 2006 10:29:08 -0500

clamsmtp (1.6-1) unstable; urgency=low

  * New upstream. Closes: #322611
  * debian/po/sv.po: Swedish debconf template translation provided by Daniel
    Nylander <yeager@lidkoping.net>. Closes: #333360
  * debian/po/ru.po: Russian debconf template translation provided by Yuriy
    Talakan <yt@amur.elektra.ru>. Closes: #311970

 -- Chad Walstrom <chewie@debian.org>  Tue, 15 Nov 2005 14:51:10 -0600

clamsmtp (1.4.1-2) unstable; urgency=low

  * debian/po/vi.po: Vietnamese translation provided by Clytie Siddall
    <clytie@riverland.net.au>.  Closes: #310032

 -- Chad Walstrom <chewie@debian.org>  Sun, 29 May 2005 13:36:25 -0500

clamsmtp (1.4.1-1) unstable; urgency=low

  * debian/po/pt_BR.po: Andre Luis Lopes <andrelop@debian.org> sent a
    fix to this template.  Closes: #310879

 -- Chad Walstrom <chewie@debian.org>  Sun, 29 May 2005 13:07:30 -0500

clamsmtp (1.4.1-0) unstable; urgency=low

  * New upstream version.  Fixes config bug when "Header" not present.
  * debian/po/pt_BR.po: Added.  Thanks, Rodrigo Tadeu Claro
    <rlinux@cipsga.org.br>.  Closes: #303496
  * debian/mime_header_checks, debian/README.Debian: Added mime_header_checks
    example.

 -- Chad Walstrom <chewie@debian.org>  Thu, 21 Apr 2005 12:16:26 -0500

clamsmtp (1.4-0) unstable; urgency=low

  * New upstream version.
  * Removed file descriptor leak fix patch.  Fixed upstream.
  * debian/clamsmtp.init: Removed bashim use of 'function' keyword.
    Closes: #303237
  * debian/po/fr.po: Updated. Closes: #301987
  * debian/po/ja.po: Updated. Closes: #301612
  * debian/po/cs.po: Updated.
  * debian/README.Debian: Fixed a couple spelling errors.  Fixed reference to
    clamsmtp user and group regarding /var/{spool,run}/clamsmtp directories.

 -- Chad Walstrom <chewie@debian.org>  Tue,  5 Apr 2005 10:22:19 -0500

clamsmtp (1.3-1) unstable; urgency=high

  * debian/postinst: We need to re-start the clamav-daemon once adding clamav
    to the clamsmtp group.
  * debian/patches/300175-fileperms.patch: Patch submitted to change
    permissions on files generated through mkstemp() to be readable by the
    group.  Thanks, Samuel Tardieu <sam@rfc1149.net>.
  * Closes: #300175
  * debian/control: Changed "a vs. an" in long description to match
    "conventional" rules regarding articles preceding acronyms.
    Closes: #299969

 -- Chad Walstrom <chewie@debian.org>  Mon, 21 Mar 2005 13:45:03 -0600

clamsmtp (1.3-0) unstable; urgency=low

  * New upstream version.
  * debian/config, debian/postinst, debian/templates: Added a clamsmtp
    system user and group.  Added clamav user to clamsmtp group.
    Added template for upgrades.
  * debian/clamsmtp.logcheck.ignore.server: Added logcheck ignore pattern file
    submitted by Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>.
    Closes: #297476
  * debian/README.Debian: Explained in more detail why I chose the default
    port configuration.
  * debian/rules, debian/patches/fd-leak.patch: Fixes file discriptor leak in
    common/spio.c.  Thanks, Chris Mason.  Closes: #297645

 -- Chad Walstrom <chewie@debian.org>  Wed, 16 Mar 2005 20:53:18 -0600

clamsmtp (1.2-4) unstable; urgency=low

  * debian/clamsmtp.init: Corrected reference to /etc/default/clamsmtp.
    Closes: #295672
  * debian/control: Added versioned depends on dpkg.  Closes: #295112
  * debian/po/cs.po: Added Czech translation.  Thanks, Miroslav Kure
    <kurem@upcase.inf.upol.cz>.  Closes: #293614

 -- Chad Walstrom <chewie@debian.org>  Fri, 25 Feb 2005 22:48:15 -0600

clamsmtp (1.2-3) unstable; urgency=medium

  * debian/clamsmtp.init, debian/clamsmtp.default: Typo fix. Closes: #290433

 -- Chad Walstrom <chewie@debian.org>  Fri, 14 Jan 2005 14:39:34 -0600

clamsmtp (1.2-2) unstable; urgency=low

  * debian/clamsmtp.init: Fixed sed script; enclosed values with quotes.
    Thanks for the catch, Pablo Castellazzi <law@fisica.edu.uy>.
  * debian/control: Cleaned up "Depends" field.  Cleaned up the description.
    Removed conjunctives.  Indicated ClamSMTP's transparent proxy ability.
  * debian/templates, debian/postinst, debian/clamsmtp.init: Moved fix
    directory permissions semantics to postinst script.
  * debian/config: only ask to fix directories if this is an upgrade by
    comparing package version numbers
  * debian/po/ja.po: Japanese po-debconf template translation (ja.po).
    Thanks, Hideki Yamane <henrich@samba.gr.jp>. Closes: #286042
  * debian/po/fr.po: Florent Usseil <swiip81@free.fr> updated translation.
  * debian/README.Debian: cleaned this up considerably
  * debian/NEWS: noted change to directory permissions change

 -- Chad Walstrom <chewie@debian.org>  Thu, 13 Jan 2005 10:28:55 -0600

clamsmtp (1.2-1) unstable; urgency=low

  * New upstream version.
  * Added check to init to make sure we're not trying to change permissions on
    /var/run

 -- Chad Walstrom <chewie@debian.org>  Mon, 13 Dec 2004 12:28:16 -0600

clamsmtp (1.1-3) unstable; urgency=low

  * debian/control: Moved po-debconf dependency to Build-Depends.  Added
    debconf dependency in Depends.
  * Closes: #284566: Added French debconf template translation.  Thanks,
    Florent Usseil <swiip81@free.fr>.

 -- Chad Walstrom <chewie@debian.org>  Sun, 12 Dec 2004 11:24:08 -0600

clamsmtp (1.1-2) unstable; urgency=low

  * debian/templates, debian/config, debian/po/templates.pot,
    debian/po/POTFILES.in: Added po-debconf templates to ask if fixperms
    function should be enabled in the init.d script and to ask if
    /var/spool/clamsmtp should be removed.
  * debian/clamsmtp.init: Optionally check the permissions of the spool and
    PID directories for clamsmtp.
  * debian/clamsmtp.default: Add DO_FIXPERMS option.
  * debian/postinst: Create /var/spool/clamsmtp and /var/run/clamsmtp if they
    don't exist.  Use debconf answer to update DO_FIXPERMS in
    /etc/default/clamsmtp
  * debian/postrm: Purge /var/spool/clamsmtp only if specified in debconf.
  * Closes: #282734: ownership changed incorrectly on upgrade.

 -- Chad Walstrom <chewie@debian.org>  Wed, 24 Nov 2004 18:17:04 -0600

clamsmtp (1.1-1) unstable; urgency=low

  * New Upstream Version
  * Fixed Lintian warnings and errors:
    - debian/postinst: Removed BASHism
    - debian/clamsmtp.init: Implemented "force-reload"
    - debian/clamsmtp.default: Removed hash-bang line

 -- Chad Walstrom <chewie@debian.org>  Mon,  1 Nov 2004 16:22:44 -0600

clamsmtp (1.0-1) unstable; urgency=low

  * New Upstream Version
  * debian/NEWS: cleaned up format
  * debian/README.Debian: indicated that transparent proxy is an option, but
    not used by default.
  * debian/clamsmtpd.conf: Added PidFile directive
  * debian/clamsmtp.init: Removed PID file option from daemon arguments.
    Replaced --chuid with --group only.
  * Closes: #278078: clamsmtp stops accepting connections.  Fixed in upstream
    version 0.9.5.

 -- Chad Walstrom <chewie@debian.org>  Wed, 27 Oct 2004 10:38:29 -0500

clamsmtp (0.9.6-1) unstable; urgency=low

  * New Upstream Version

 -- Chad Walstrom <chewie@debian.org>  Wed, 20 Oct 2004 15:09:27 -0500

clamsmtp (0.9-1) unstable; urgency=low

  * New Upstream Version
  * debian/postinst, debian/dirs: Added a /var/run/clamsmtp directory so
    clamsmtpd, which runs as clamav, can write it's PID file.  Thanks, Dmitri
    V. Ivanov <dima@intex.spb.ru>, for the heads-up.
  * debian/clamsmtp.init: clamsmtpd now switches to a user upon boot on its
    own.  Forcing the group to switch as well (though not highly necessary).
  * debian/control: updated debhelper version (fixes linda error)
  * debian/README.Debian: Run-on-sentance! Die! Die! Die!

 -- Chad Walstrom <chewie@debian.org>  Wed, 22 Sep 2004 16:03:09 -0500

clamsmtp (0.8-2) unstable; urgency=low

  * debian/control: Updated Standards-Version to 3.6.1
  * debian/docs: NEWS and README contain no real information. URL for homepage
    found in debian/copyright
  * debian/clamsmtp.init: Small typo fix.  Added CGROUP to --chuid option.
  * debian/watch: Added no-action watch file to satisfy the masses
  * debian/postinst: Change ownership of /var/spool/clamsmtp to clamav:clamav

 -- Chad Walstrom <chewie@debian.org>  Wed,  8 Sep 2004 22:32:20 -0500

clamsmtp (0.8-1) unstable; urgency=low

  * New Upstream Version
  * debian/README.Debian: Explained better the configuration decisions I made
    for this package.
  * debian/NEWS: Notified users of the differences between the experimental
    and unstable packages.
  * debian/init.d -> debian/clamsmtp.init,
    debian/defaults -> debian/clamsmtp.default: Moved to expected files for
    dh_installinit.  Removed much of the complexity of this defaults file
    because upstream added a config file, clamsmtpd.conf, to set most of these
    options.
  * debian/clamsmtpd.conf: New default configuration file for /etc
  * /var/lib/clamsmtp -> /var/spool/clamsmtp: conforming to the FHS.
  * debian/TODO, debian/.todo: devtodo generated TODO list

 -- Chad Walstrom <chewie@debian.org>  Tue,  7 Sep 2004 22:47:11 -0500

clamsmtp (0.6.92-2) experimental; urgency=low

  * debian/README.Debian: Noted that this is pre-release software.
  * debian/init.d: Typo fixed in case statement.

 -- Chad Walstrom <chewie@debian.org>  Fri, 27 Aug 2004 14:15:50 -0500

clamsmtp (0.6.92-1) unstable; urgency=low

  * New Upstream version.
  * debian/init.d: Cleaned up script a bit

 -- Chad Walstrom <chewie@debian.org>  Fri, 27 Aug 2004 14:02:12 -0500

clamsmtp (0.6-1) unstable; urgency=low

  * Initial Release.
  * debian/init.d, debian/defaults: Created Debian-centric init.d script for
    basic configuration info.

 -- Chad Walstrom <chewie@debian.org>  Thu, 26 Aug 2004 17:36:29 -0500

